Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.plugins.ide.eclipse.model
[Groovy] Class WtpComponent

    java.lang.Object
      org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject
          org.gradle.plugins.ide.eclipse.model.WtpComponent

    class WtpComponent
    extends XmlPersistableConfigurationObject

Creates the .settings/org.eclipse.wst.common.component file for WTP projects.

Property Summary
`String` | `contextPath`
`String` | `deployName`
`List` | `wbModuleEntries`

Constructor Summary
`WtpComponent(XmlTransformer xmlTransformer)`

Method Summary
`void` | `configure(String deployName, String contextPath, List newEntries)`
`boolean` | `equals(def o)`
`protected String` | `getDefaultResourceName()`
`int` | `hashCode()`
`protected void` | `load(Node xml)`
`protected void` | `store(Node xml)`
`String` | `toString()`

Property Detail

### contextPath

    String contextPath

### deployName

    String deployName

### wbModuleEntries

    List wbModuleEntries

Constructor Detail

### WtpComponent

    WtpComponent(XmlTransformer xmlTransformer)

Method Detail

### configure

    void configure(String deployName, String contextPath, List newEntries)

### equals

    boolean equals(def o)

### getDefaultResourceName

    @Override
    protected String getDefaultResourceName()

### hashCode

    int hashCode()

### load

    @Override
    protected void load(Node xml)

### store

    @Override
    protected void store(Node xml)

### toString

    String toString()

Gradle API 1.10